package com.logicbig.example;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import java.util.concurrent.TimeUnit;

@ManagedBean
@ViewScoped
public class HandlerBean {
    private String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void save() {
        System.out.println("saving name: " + name);
        try {
            //simulating some delay during processing
            TimeUnit.SECONDS.sleep(3);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }
}